
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97434 --
ALTER TABLE TT_NFE DROP CONSTRAINT NN_NFE_DS_UFDEST;



/*-- SEQ 0002 --*/
-- Tarefa 97390 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_FLGEST;

/*-- SEQ 0003 --*/
-- Tarefa 97390 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_FLGEST CHECK (FLGEST IN ('A','F','C','D'));


/*-- SEQ 0004 --*/
-- Tarefa 97411 --
ALTER TABLE TT_VEN ADD VLRSADCAN Number(12,2) ;



/*-- SEQ 0005 --*/
-- Tarefa 97413 --
ALTER TABLE TT_SAV ADD DATCAN Date ;


/*-- SEQ 0006 --*/
-- Tarefa 97413 --
ALTER TABLE TT_SAV ADD VLRCAN Number(12,2) ;



/*-- SEQ 0007 --*/
-- Tarefa 97422 --
ALTER TABLE TD_SAD ADD DIARES Number(5,0) ;



/*-- SEQ 0008 --*/
-- Tarefa 97405 --
CREATE TABLE TD_SAD_CAN (
    CODTAB Number(5),
    FORCAN LONG) TABLESPACE TOTALL_DATA;

/*-- SEQ 0009 --*/
-- Tarefa 97405 --
ALTER TABLE TD_SAD_CAN ADD CONSTRAINT PK_DSAD_CAN PRIMARY KEY (CODTAB);

/*-- SEQ 0010 --*/
-- Tarefa 97405 --
ALTER TABLE TD_SAD_CAN ADD CONSTRAINT FK_DSAD_CAN_DSAD FOREIGN KEY (CODTAB) REFERENCES TD_SAD(CODTAB);


/*-- SEQ 0011 --*/
-- Tarefa 97422 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_DIARES CHECK (DIARES > 0);


/*-- SEQ 0012 --*/
-- Tarefa 97408 --
INSERT INTO TD_SAD_CAN(CODTAB)
SELECT DSAD.CODTAB
  FROM TD_SAD DSAD
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TD_SAD_CAN DSAD_CAN
                    WHERE DSAD_CAN.CODTAB = DSAD.CODTAB);


/*-- SEQ 0013 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_FILPED;

/*-- SEQ 0014 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_FILPED CHECK ((FILPED IS NOT NULL AND CODAVU IS NULL) OR (CODAVU IS NOT NULL AND FILPED IS NULL));

/*-- SEQ 0015 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Tarefa 97445 --
UPDATE TT_SAV
   SET (FILVEN,SEQVEN,NUMIVE) =
       (SELECT IVE.CODFIL,IVE.SEQUEN,IVE.NUMITE
          FROM TT_SAV SAV INNER JOIN TT_IOR IOR ON IOR.CODFIL = SAV.FILPED
                                               AND IOR.TIPPED = SAV.TIPPED
                                               AND IOR.NUMPED = SAV.NUMPED
                                               AND IOR.NUMITE = SAV.NUMITE
                          INNER JOIN TT_IVE IVE ON IVE.CODFIL = IOR.FILIVE
                                               AND IVE.SEQUEN = IOR.SEQIVE
                                               AND IVE.NUMITE = IOR.NUMIVE
         WHERE SAV.CODFIL = TT_SAV.CODFIL
           AND SAV.SEQUEN = TT_SAV.SEQUEN);

/*-- SEQ 0017 --*/
-- Tarefa 97445 --
/*-- SEQ 0018 --*/
CREATE OR REPLACE FUNCTION temp_CancelaSAV 
RETURN VARCHAR2 IS

-- Declarao de variveis e cursores
  CURSOR CR_SAV_IVE IS
  SELECT SAV.CODFIL,
         SAV.SEQUEN,
         CAST('C' AS CHAR(1)) AS FLGEST,
         SAV.VALSAD AS VLRCAN,
         CASE WHEN VEN.FLGEST = 'C' THEN (SELECT MAX(REC.ESTCAN)
                                            FROM TT_REC REC
                                           WHERE REC.CODFIL = VEN.CODFIL
                                             AND REC.SEQUEN = VEN.SEQUEN)
              WHEN IVE.SITMOV = 'C' THEN IVE.VEN_DATHOR
         END AS DATCAN
    FROM TT_SAV SAV INNER JOIN TT_IOR IOR ON IOR.CODFIL = SAV.FILPED
                                         AND IOR.TIPPED = SAV.TIPPED
                                         AND IOR.NUMPED = SAV.NUMPED
                                         AND IOR.NUMITE = SAV.NUMITE
                    INNER JOIN TT_IVE IVE ON IVE.CODFIL = IOR.FILIVE
                                         AND IVE.SEQUEN = IOR.SEQIVE
                                         AND IVE.NUMITE = IOR.NUMIVE
                    INNER JOIN TT_VEN VEN ON VEN.CODFIL = IVE.CODFIL
                                         AND VEN.SEQUEN = IVE.SEQUEN
   WHERE (IVE.SITMOV = 'C') OR (VEN.FLGEST = 'C')
   ORDER BY SAV.CODFIL,SAV.SEQUEN;


  cCODFIL                        TT_SAV.CODFIL%TYPE;
  cSEQUEN                        TT_SAV.SEQUEN%TYPE;
  cFLGEST                        TT_SAV.FLGEST%TYPE;
  nVLRCAN                        TT_SAV.VLRCAN%TYPE;
  dDATCAN                        TT_SAV.DATCAN%TYPE;

-- Incio da funo
BEGIN

   OPEN CR_SAV_IVE;
   LOOP
      FETCH CR_SAV_IVE INTO cCODFIL,cSEQUEN,cFLGEST,nVLRCAN,dDATCAN;
       EXIT WHEN CR_SAV_IVE%NOTFOUND;

      UPDATE TT_SAV SET FLGEST = cFLGEST,
                        VLRCAN = nVLRCAN,
                        DATCAN = dDATCAN
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQUEN;

   END LOOP;
   CLOSE CR_SAV_IVE;

   RETURN 'OK';

END temp_CancelaSAV;
/

/*-- SEQ 0019 --*/
-- Tarefa 97445 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_CancelaSAV();
end;
/


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97445 --
DROP FUNCTION temp_CancelaSAV;

/*-- SEQ 0021 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Tarefa 97456 --
ALTER TABLE TT_SAV ADD CDIMEI VARCHAR2(20) ;



/*-- SEQ 0023 --*/
-- Tarefa 97457 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0024 --*/
ALTER TABLE TT_PRO ADD OBIMEI VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0025 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0026 --*/
-- Tarefa 97457 --
ALTER TABLE TT_PRO MODIFY (OBIMEI CONSTRAINT NN_PRO_OBIMEI NOT NULL);


/*-- SEQ 0027 --*/
-- Tarefa 97457 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_OBIMEI CHECK (OBIMEI IN ('T', 'F'));


/*-- SEQ 0028 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD DATCUS_VEN Date ;


/*-- SEQ 0029 --*/
-- Tarefa 97499 --
ALTER TABLE TT_IDF DISABLE ALL TRIGGERS;


/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97499 --
UPDATE TT_IDF SET DATCUS_VEN = TRUNC(Agora());

/*-- SEQ 0031 --*/
-- Tarefa 97499 --
ALTER TABLE TT_IDF ENABLE ALL TRIGGERS;

/*-- SEQ 0032 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSREP_FREFIS Number(14,4) ;


/*-- SEQ 0033 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSMED_FIS Number(14,4) ;


/*-- SEQ 0034 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSSIM Number(14,4) ;


/*-- SEQ 0035 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSREP_FREFIS Number(14,4) ;


/*-- SEQ 0036 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSMED_FIS Number(14,4) ;


/*-- SEQ 0037 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSSIM Number(14,4) ;


/*-- SEQ 0038 --*/
-- Tarefa 97499 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

 
/*-- SEQ 0039 --*/
-- Tarefa 97499 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_MATERIALIZACUSTOVENDA', 'Rotina para calcular o Custo dos produtos vendidos', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_MATERIALIZACUSTOVENDA'
       );
 
/*-- SEQ 0040 --*/
-- Tarefa 97499 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0041 --*/
-- Tarefa 97577 --
ALTER TABLE TT_LCF DISABLE ALL TRIGGERS;

/*-- SEQ 0042 --*/
ALTER TABLE TT_LCF ADD SISORI VARCHAR2(1) DEFAULT 'C';

/*-- SEQ 0043 --*/
ALTER TABLE TT_LCF ENABLE ALL TRIGGERS;

/*-- SEQ 0044 --*/
-- Tarefa 97577 --
ALTER TABLE TT_LCF MODIFY (SISORI CONSTRAINT NN_LCF_SISORI NOT NULL);


/*-- SEQ 0045 --*/
-- Tarefa 97577 --
ALTER TABLE TT_LCF ADD CONSTRAINT CK_LCF_SISORI CHECK (SISORI IN ('C', 'M'));

/*-- SEQ 0046 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGCAN;

/*-- SEQ 0047 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGEST;

/*-- SEQ 0048 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGEXE;

/*-- SEQ 0049 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGHIS;

/*-- SEQ 0050 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGPRO;

/*-- SEQ 0051 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGCAN ON TT_LCF (FLGCAN,SISORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0052 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGEST ON TT_LCF (FLGEST,SISORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0053 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGEXE ON TT_LCF (FLGEXE,SISORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0054 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGHIS ON TT_LCF (FLGHIS,SISORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0055 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGPRO ON TT_LCF (FLGPRO,SISORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_SISORI ON TT_LCF (SISORI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0057 --*/
-- Tarefa 97560 --
CREATE TABLE TT_ERR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  SEQLCF CHAR(10),
  TXTERR VARCHAR2(254),
  DATINC Date
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0058 --*/ 
-- Tarefa 97560 --
ALTER TABLE TT_ERR ADD CONSTRAINT PK_ERR PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0059 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR MODIFY (SEQLCF CONSTRAINT NN_ERR_SEQLCF NOT NULL);


/*-- SEQ 0060 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR MODIFY (TXTERR CONSTRAINT NN_ERR_TXTERR NOT NULL);


/*-- SEQ 0061 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR MODIFY (DATINC CONSTRAINT NN_ERR_DATINC NOT NULL);


/*-- SEQ 0062 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR ADD CONSTRAINT FK_ERR_LCF FOREIGN KEY (CODFIL,SEQLCF) REFERENCES TT_LCF (CODFIL,SEQUEN);

/*-- SEQ 0063 --*/
-- Tarefa 97560 --
CREATE INDEX I_FK_ERR_LCF ON TT_ERR (CODFIL,SEQLCF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0064 --*/
-- Tarefa 97560 --
CREATE INDEX I_LC_ERR_DATINC ON TT_ERR (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0065 --*/
-- Tarefa 97560 --
CREATE SEQUENCE SQERR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0066 --*/
-- Tarefa 92272 --
ALTER TABLE GX_CFG ADD GX_CFGTOTALLCREDITDATULTATU Date ;



/*-- SEQ 0067 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER DROP CONSTRAINT CK_DSER_MODNOT;

/*-- SEQ 0068 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_MODNOT CHECK (MODNOT IN (0,1,2,3,4,55,59,65));


/*-- SEQ 0069 --*/
-- Tarefa 97424 --
ALTER TABLE TT_IVE ADD FILDEV CHAR(3) ;


/*-- SEQ 0070 --*/
-- Tarefa 97424 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_DFIL_DEV FOREIGN KEY (FILDEV) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0071 --*/
-- Tarefa 97424 --
CREATE INDEX I_FK_IVE_DFIL_DEV ON TT_IVE (FILDEV) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0072 --*/
-- Tarefa 97425 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0073 --*/
ALTER TABLE TT_CFG ADD DEVFIL VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0074 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0075 --*/
-- Tarefa 97425 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEVFIL CHECK (DEVFIL IN ('T','F'));

/*-- SEQ 0076 --*/
-- Tarefa 97425 --
ALTER TABLE TT_CFG MODIFY (DEVFIL CONSTRAINT NN_CFG_DEVFIL NOT NULL);


/*-- SEQ 0077 --*/
-- Tarefa 97425 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0078 --*/
ALTER TABLE TW_CFG ADD DEVFIL VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0079 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0080 --*/
-- Tarefa 97615 --
ALTER TABLE TD_FIL ADD SERDEV CHAR(2) ;


/*-- SEQ 0081 --*/
-- Tarefa 97615 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_DEV FOREIGN KEY (SERDEV) REFERENCES TD_SER (CODSER);

/*-- SEQ 0082 --*/
-- Tarefa 97615 --
CREATE INDEX I_FK_DFIL_DSER_DEV ON TD_FIL (SERDEV) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0083 --*/
-- Tarefa 97654 --
ALTER TABLE TT_END ADD CLI_CK Number(10,0) ;


/*-- SEQ 0084 --*/
-- Tarefa 97654 --
ALTER TABLE TT_END DROP COLUMN CHVCHK CASCADE CONSTRAINT;

/*-- SEQ 0085 --*/
-- Tarefa 97654 --
DROP INDEX I_UQ_END_CK;

/*-- SEQ 0086 --*/
-- Tarefa 97654 --
CREATE UNIQUE INDEX I_UQ_END_CK ON TT_END (FIL_CK,ECF_CK,CLI_CK,COD_CK) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0087 --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE DISABLE ALL TRIGGERS;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ADD FLGEST VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0089 --*/
ALTER TABLE TI_PRE ENABLE ALL TRIGGERS;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE MODIFY (FLGEST CONSTRAINT NN_IPRE_FLGEST NOT NULL);


/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE ADD CONSTRAINT CK_IPRE_FLGEST CHECK (FLGEST IN ('T','F'));


/*-- SEQ 0092 --*/
-- Tarefa 97618 --
CREATE TABLE TD_SAT (
   CODTAB Number(5),
   DESSAT VARCHAR2(40),
   SATATI VARCHAR2(1) DEFAULT 'T',
   SAT_NUMSER Number(9),
   SAT_CODFIL CHAR(3),
   SAT_CODSER CHAR(2),
   SAT_CNT_RO Number(5) DEFAULT 0
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0093 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT PK_DSAT PRIMARY KEY (CODTAB);

/*-- SEQ 0094 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (DESSAT CONSTRAINT NN_DSAT_DESSAT NOT NULL);


/*-- SEQ 0095 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (SATATI CONSTRAINT NN_DSAT_SATATI NOT NULL);


/*-- SEQ 0096 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (SAT_NUMSER CONSTRAINT NN_DSAT_SAT_NUMSER NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (SAT_CODFIL CONSTRAINT NN_DSAT_SAT_CODFIL NOT NULL);


/*-- SEQ 0098 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (SAT_CODSER CONSTRAINT NN_DSAT_SAT_CODSER NOT NULL);


/*-- SEQ 0099 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT MODIFY (SAT_CNT_RO CONSTRAINT NN_DSAT_SAT_CNT_RO NOT NULL);


/*-- SEQ 0100 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT CK_DSAT_SATATI CHECK (SATATI IN ('T','F'));

/*-- SEQ 0101 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT FK_DSAT_DFIL FOREIGN KEY (SAT_CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0102 --*/
-- Tarefa 97618 --
CREATE INDEX I_FK_DSAT_DFIL ON TD_SAT (SAT_CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0103 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT FK_DSAT_DSER FOREIGN KEY (SAT_CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0104 --*/
-- Tarefa 97618 --
CREATE INDEX I_FK_DSAT_DSER ON TD_SAT (SAT_CODSER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0105 --*/
-- Tarefa 97618 --
CREATE UNIQUE INDEX I_UQ_DSAT_NUMSER_CODFIL ON TD_SAT (SAT_NUMSER, SAT_CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0106 --*/
-- Tarefa 97618 --
CREATE UNIQUE INDEX I_UQ_DSAT_CODFIL_CODSER ON TD_SAT (SAT_CODFIL, SAT_CODSER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT CK_DSAT_SAT_CNT_RO CHECK (SAT_CNT_RO >= 0);

/*-- SEQ 0108 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD DESSAT VARCHAR2(40) ;


/*-- SEQ 0109 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD SATATI VARCHAR2(1) ;


/*-- SEQ 0110 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD SAT_NUMSER Number(9) ;


/*-- SEQ 0111 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD SAT_CODFIL CHAR(3) ;


/*-- SEQ 0112 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD SAT_CODSER CHAR(2) ;


/*-- SEQ 0113 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD SAT_CNT_RO Number(5) ;



/*-- SEQ 0114 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD CK4G_MODFIS_VC VARCHAR2(2) ;


/*-- SEQ 0115 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD CK4G_MODFIS_VC_CONT VARCHAR2(2) ;


/*-- SEQ 0116 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0117 --*/
ALTER TABLE TD_FIL ADD CK4G_USA_CONT_OFFLINE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0118 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0119 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL MODIFY (CK4G_USA_CONT_OFFLINE CONSTRAINT NN_DFIL_CK4G_USA_CONT_OFFLINE NOT NULL);


/*-- SEQ 0120 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_USA_CONT_OFFLINE CHECK (CK4G_USA_CONT_OFFLINE IN ('T','F'));


/*-- SEQ 0121 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD CK4G_MODFIS_VC VARCHAR2(2) ;


/*-- SEQ 0122 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD CK4G_MODFIS_VC_CONT VARCHAR2(2) ;


/*-- SEQ 0123 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
ALTER TABLE TD_ECF ADD CK4G_USA_CONT_OFFLINE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0125 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0126 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF MODIFY (CK4G_USA_CONT_OFFLINE CONSTRAINT NN_DECF_CK4G_USA_CONT_OFFLINE NOT NULL);


/*-- SEQ 0127 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_USA_CONT_OFFLINE CHECK (CK4G_USA_CONT_OFFLINE IN ('T','F'));

/*-- SEQ 0128 --*/
-- Tarefa 97621 --
ALTER TABLE TW_TAB ADD CK4G_MODFIS_VC VARCHAR2(2) ;


/*-- SEQ 0129 --*/
-- Tarefa 97621 --
ALTER TABLE TW_TAB ADD CK4G_MODFIS_VC_CONT VARCHAR2(2) ;


/*-- SEQ 0130 --*/
-- Tarefa 97621 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0131 --*/
ALTER TABLE TW_TAB ADD CK4G_USA_CONT_OFFLINE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0132 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0133 --*/
-- Tarefa 97632 --
ALTER TABLE TT_VEN ADD MODNOT VARCHAR2(2) ;



/*-- SEQ 0134 --*/
-- Tarefa 97622 --
ALTER TABLE TD_MNF DISABLE ALL TRIGGERS;


/*-- SEQ 0135 --*/
-- Tarefa 97622 --
INSERT INTO TD_MNF (CODMNF, DESMNF)
                   (SELECT '65', 'NFC-e'
                      FROM DUAL
                     WHERE NOT EXISTS (SELECT 1 AS OK
                                         FROM TD_MNF
                                        WHERE CODMNF = '65'));

/*-- SEQ 0136 --*/
-- Tarefa 97622 --
INSERT INTO TD_MNF (CODMNF, DESMNF)
                   (SELECT '59', 'CF-e-SAT'
                      FROM DUAL
                     WHERE NOT EXISTS (SELECT 1 AS OK
                                         FROM TD_MNF
                                        WHERE CODMNF = '59'));

/*-- SEQ 0137 --*/
-- Tarefa 97622 --
ALTER TABLE TD_MNF ENABLE ALL TRIGGERS;


/*-- SEQ 0138 --*/
-- Tarefa 97330 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0139 --*/
ALTER TABLE TT_PRO ADD CONFER VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0140 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0141 --*/
-- Tarefa 97330 --
ALTER TABLE TT_PRO MODIFY (CONFER CONSTRAINT NN_PRO_CONFER NOT NULL);


/*-- SEQ 0142 --*/
-- Tarefa 97330 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_CONFER CHECK (CONFER IN ('T','F'));



/*-- SEQ 0143 --*/
-- Tarefa 97673 --
ALTER TABLE GX_CFG ADD GX_CFGECOMMERCE CLOB ;



/*-- SEQ 0144 --*/
-- Tarefa 97470 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0145 --*/
-- Tarefa 97470 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,409)||'S'||SUBSTR(PERMIS,411,9999);

/*-- SEQ 0146 --*/
-- Tarefa 97470 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97788 --
ALTER TABLE TT_END ADD CODECO Number(10) ;



/*-- SEQ 0148 --*/
-- Tarefa 97648 --
ALTER TABLE TT_ERR ADD XMLTRA LONG ;



/*-- SEQ 0149 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD CUSPRO Number(14,4) ;


/*-- SEQ 0150 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD VLRSOC Number(12,2) ;


/*-- SEQ 0151 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD VLROPE Number(12,2) ;


/*-- SEQ 0152 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD VLROPEFIX Number(12,2) ;


/*-- SEQ 0153 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD VLRLUC Number(12,2) ;


/*-- SEQ 0154 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD PERLUC Number(10,4) ;


/*-- SEQ 0155 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD CUSMAR Number(12,2) ;



/*-- SEQ 0156 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD EXTDEB Number(10) ;


/*-- SEQ 0157 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD EXTCRE Number(10) ;



/*-- SEQ 0158 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (ISEICM Number(12,2));

/*-- SEQ 0159 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (OUTICM Number(12,2));


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;


/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93868 --
ALTER TABLE TW_FLU ADD FILPGT CHAR(3) ;


/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93868 --
ALTER TABLE TW_FLU ADD CODPGT CHAR(3) ;




/*-- SEQ 0166 --*/
-- Tarefa 97877 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD SUPMAX Number(8,4) DEFAULT 0;

/*-- SEQ 0168 --*/
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97877 --
ALTER TABLE TT_USU MODIFY (SUPMAX CONSTRAINT NN_USU_SUPMAX NOT NULL);


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97877 --
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_SUPMAX CHECK (SUPMAX >= 0);


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97879 --
ALTER TABLE TT_PRE ADD PEROPEFIX Number(7,4) ;


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97879 --
ALTER TABLE TW_PRE ADD PEROPEFIX Number(7,4) ;


/*-- SEQ 0173 --*/
-- Tarefa 97879 --
ALTER TABLE TT_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0174 --*/
-- Tarefa 97879 --
UPDATE TT_PRE SET PEROPEFIX = ROUND(DESFIX / PRECOV * 100, 4) WHERE DESFIX IS NOT NULL AND PRECOV > 0;

/*-- SEQ 0175 --*/
-- Tarefa 97879 --
ALTER TABLE TT_PRE ENABLE ALL TRIGGERS;


/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD PEROPEFIX Number(7,4) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD PERMCP Number(7,4) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD VLRMCP Number(14,4) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD PERMCO Number(7,4) ;


/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD VLRMCO Number(14,4) ;


/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD PERMCPTOT Number(7,4) ;


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD VLRMCPTOT Number(14,4) ;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD PERMCOTOT Number(7,4) ;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD VLRMCOTOT Number(14,4) ;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD PERLUCTOT Number(7,4) ;


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD VLRLUCTOT Number(14,4) ;



/*-- SEQ 0187 --*/
-- Tarefa 97916 --
ALTER TABLE TI_PRO ADD VLRPIS Number(15,5) ;


/*-- SEQ 0188 --*/
-- Tarefa 97916 --
ALTER TABLE TI_PRO ADD VLRCOF Number(15,5) ;


/*-- SEQ 0189 --*/
-- Tarefa 97916 --
CREATE TABLE TEMP_PIS_COF_PRO AS
SELECT FILMAT,CODMAT,VLRPIS,VLRCOF
  FROM TT_PRO
 WHERE VLRPIS IS NOT NULL OR VLRCOF IS NOT NULL;

/*-- SEQ 0190 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO DROP COLUMN VLRPIS CASCADE CONSTRAINT;

/*-- SEQ 0191 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO DROP COLUMN VLRCOF CASCADE CONSTRAINT;

/*-- SEQ 0192 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO ADD VLRPIS Number(15,5) ;


/*-- SEQ 0193 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO ADD VLRCOF Number(15,5) ;


/*-- SEQ 0194 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0195 --*/
-- Tarefa 97916 --
UPDATE TT_PRO PRO SET VLRPIS = (SELECT VLRPIS
                                  FROM TEMP_PIS_COF_PRO TMP
                                 WHERE TMP.FILMAT = PRO.FILMAT
                                   AND TMP.CODMAT = PRO.CODMAT),
                      VLRCOF = (SELECT VLRCOF
                                  FROM TEMP_PIS_COF_PRO TMP
                                 WHERE TMP.FILMAT = PRO.FILMAT
                                   AND TMP.CODMAT = PRO.CODMAT)
 WHERE (PRO.FILMAT,PRO.CODMAT) IN (SELECT FILMAT,CODMAT FROM TEMP_PIS_COF_PRO);

/*-- SEQ 0196 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0197 --*/
-- Tarefa 97916 --
DROP TABLE TEMP_PIS_COF_PRO;


/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD PEROPEFIX Number(7,4) ;


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD PERMCP Number(7,4) ;


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD VLRMCP Number(14,4) ;


/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD PERMCO Number(7,4) ;


/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD VLRMCO Number(14,4) ;



/*-- SEQ 0203 --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0205 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN MODIFY (EXPFIS CONSTRAINT NN_VEN_EXPFIS NOT NULL);


/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_EXPFIS;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0209 --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0211 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE MODIFY (EXPFIS CONSTRAINT NN_IVE_EXPFIS NOT NULL);


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EXPFIS;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0215 --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0217 --*/
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM MODIFY (EXPFIS CONSTRAINT NN_COM_EXPFIS NOT NULL);


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPFIS;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0221 --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0223 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO MODIFY (EXPFIS CONSTRAINT NN_ICO_EXPFIS NOT NULL);


/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_EXPFIS;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0227 --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0229 --*/
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF MODIFY (EXPFIS CONSTRAINT NN_RECF_EXPFIS NOT NULL);


/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF DROP CONSTRAINT CK_RECF_EXPFIS;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_EXPFIS CHECK (EXPFIS IN ('F','T'));


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97888 --
ALTER TABLE TT_AUT ADD TAXDES Number(8,4) ;



/*-- SEQ 0234 --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI DISABLE ALL TRIGGERS;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ITI ADD FLGATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0236 --*/
ALTER TABLE TT_ITI ENABLE ALL TRIGGERS;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI MODIFY (FLGATI CONSTRAINT NN_ITI_FLGATI NOT NULL);


/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_FLGATI CHECK (FLGATI IN ('T', 'F'));

/*-- SEQ 0239 --*/
-- Tarefa 97982 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0240 --*/
-- Tarefa 97982 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ITI_FLGATI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ITI_FLGATI'));

/*-- SEQ 0241 --*/
-- Tarefa 97982 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;




/*-- SEQ 0242 --*/
-- Tarefa 98010 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0243 --*/
ALTER TABLE TT_PRO ADD ESTCHE Number(1,0) DEFAULT 0;

/*-- SEQ 0244 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0245 --*/
-- Tarefa 98010 --
ALTER TABLE TT_PRO MODIFY (ESTCHE CONSTRAINT NN_PRO_ESTCHE NOT NULL);


/*-- SEQ 0246 --*/
-- Tarefa 98010 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ESTCHE CHECK (ESTCHE IN (0,1,9));


/*-- SEQ 0247 --*/
-- Tarefa 98002 --
ALTER TABLE TL_RCP MODIFY (NUMNOT VARCHAR2(9));


/*-- SEQ 0248 --*/
-- Tarefa 98012 --
ALTER TABLE TT_IVE ADD FRMPRE CHAR(1) ;


/*-- SEQ 0249 --*/
-- Tarefa 98012 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_FRMPRE CHECK (FRMPRE IN ('T','C','I','D','P','K','F','S','A','N','2'));


/*-- SEQ 0250 --*/
-- Tarefa 98011 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0251 --*/
ALTER TABLE TD_FIL ADD REPLICA_SALDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0252 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0253 --*/
-- Tarefa 98011 --
ALTER TABLE TD_FIL MODIFY (REPLICA_SALDO CONSTRAINT NN_DFIL_REPLICA_SALDO NOT NULL);


/*-- SEQ 0254 --*/
-- Tarefa 98011 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REPLICA_SALDO CHECK (REPLICA_SALDO IN ('T','F'));


/*-- SEQ 0255 --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0257 --*/
ALTER TABLE TT_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF MODIFY (EXPFIS CONSTRAINT NN_ECF_EXPFIS NOT NULL);


/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_EXPFIS;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0261 --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD EXPORT_CAN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0263 --*/
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM MODIFY (EXPORT_CAN CONSTRAINT NN_COM_EXPORT_CAN NOT NULL);


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPORT_CAN;

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPORT_CAN CHECK (EXPORT_CAN IN ('F','T'));


/*-- SEQ 0267 --*/
-- Tarefa 98036 --
ALTER TABLE TD_CAI ADD CX_MAX Number(12,2) ;


/*-- SEQ 0268 --*/
-- Tarefa 98036 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_MAX CHECK (CX_MAX >= 0);

/*-- SEQ 0269 --*/
-- Tarefa 98036 --
ALTER TABLE TW_TAB ADD CX_MAX Number(12,2) ;



/*-- SEQ 0270 --*/
-- Tarefa 98069 --
ALTER TABLE TT_PRE ADD PERLUCPRJ Number(7,4) ;


/*-- SEQ 0271 --*/
-- Tarefa 98069 --
ALTER TABLE TW_PRE ADD PERLUCPRJ Number(7,4) ;


/*-- SEQ 0272 --*/
-- Tarefa 98069 --
ALTER TABLE TT_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0273 --*/
-- Tarefa 98069 --
UPDATE TT_PRE SET PERLUCPRJ = ROUND(LUCPRJ / PRECOV * 100, 4) WHERE LUCPRJ IS NOT NULL AND PRECOV > 0;

/*-- SEQ 0274 --*/
-- Tarefa 98069 --
ALTER TABLE TT_PRE ENABLE ALL TRIGGERS;


/*-- SEQ 0275 --*/
-- Tarefa 98082 --
ALTER TABLE TT_IOR ADD PERENT CHAR(1) ;


/*-- SEQ 0276 --*/
-- Tarefa 98082 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PERENT CHECK (PERENT IN ('M','T','N'));


/*-- SEQ 0277 --*/
-- Tarefa 98084 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0278 --*/
ALTER TABLE TT_CFG ADD IMPPREVENT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0279 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0280 --*/
-- Tarefa 98084 --
ALTER TABLE TT_CFG MODIFY (IMPPREVENT CONSTRAINT NN_CFG_IMPPREVENT NOT NULL);


/*-- SEQ 0281 --*/
-- Tarefa 98084 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IMPPREVENT CHECK (IMPPREVENT IN ('T','F'));

/*-- SEQ 0282 --*/
-- Tarefa 98084 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0283 --*/
ALTER TABLE TW_CFG ADD IMPPREVENT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0284 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0285 --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD CSTXML VARCHAR2(3) ;


/*-- SEQ 0286 --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00','10','20','30','40','41','50','51','60','70','90','101','102','103','201','202','203','300','400','500','900'));


/*-- SEQ 0287 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD PERFCPDES Number(5,2) ;


/*-- SEQ 0288 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD VLRICMFCP Number(12,2) ;


/*-- SEQ 0289 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD VLRICMDES Number(12,2) ;


/*-- SEQ 0290 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD VLRICMORI Number(12,2) ;



/*-- SEQ 0291 --*/
-- Tarefa 98252 --
ALTER TABLE TD_EST ADD PERFCP Number(5,2) ;


/*-- SEQ 0292 --*/
-- Tarefa 98252 --
ALTER TABLE TW_TAB ADD PERFCP Number(5,2) ;



/*-- SEQ 0293 --*/
-- Tarefa 98238 --
CREATE TABLE TT_CES (
  CODCES VARCHAR2(7),
  DESCES VARCHAR2(4000),
  CESATI VARCHAR2(1),
  DATINC Date
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0294 --*/ 
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT PK_CES PRIMARY KEY (CODCES);

/*-- SEQ 0295 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES MODIFY (DESCES CONSTRAINT NN_CES_DESCES NOT NULL);


/*-- SEQ 0296 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES MODIFY (CESATI CONSTRAINT NN_CES_CESATI NOT NULL);


/*-- SEQ 0297 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES MODIFY (DATINC CONSTRAINT NN_CES_DATINC NOT NULL);


/*-- SEQ 0298 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES MODIFY (CESATI DEFAULT 'T');

/*-- SEQ 0299 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT CK_CES_CESATI CHECK (CESATI IN ('T','F'));


/*-- SEQ 0300 --*/
-- Tarefa 98239 --
CREATE TABLE TT_CESXNCM (
  CODTAB Number(10),
  CODCES VARCHAR2(7),
  CODNCM VARCHAR2(8),
  DATINC Date
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0301 --*/ 
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT PK_CXN PRIMARY KEY (CODTAB);

/*-- SEQ 0302 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT FK_CXN_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);
 
/*-- SEQ 0303 --*/
-- Tarefa 98239 --
CREATE INDEX I_FK_CXN_CES ON TT_CESXNCM (CODCES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0304 --*/
-- Tarefa 98239 --
CREATE INDEX I_LC_CXN_CODNCM ON TT_CESXNCM (CODNCM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0305 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM MODIFY (CODCES CONSTRAINT NN_CXN_CODCES NOT NULL);


/*-- SEQ 0306 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM MODIFY (CODNCM CONSTRAINT NN_CXN_CODNCM NOT NULL);


/*-- SEQ 0307 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM MODIFY (DATINC CONSTRAINT NN_CXN_DATINC NOT NULL);


/*-- SEQ 0308 --*/
-- Tarefa 98239 --
CREATE SEQUENCE SQCXN INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0309 --*/
-- Tarefa 98253 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0310 --*/
ALTER TABLE TT_CFG ADD PERPARICM Number(5,2) DEFAULT 40;

/*-- SEQ 0311 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0312 --*/
-- Tarefa 98253 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0313 --*/
ALTER TABLE TW_CFG ADD PERPARICM Number(5,2) DEFAULT 40;

/*-- SEQ 0314 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0315 --*/
-- Tarefa 98253 --
ALTER TABLE TT_CFG MODIFY (PERPARICM CONSTRAINT NN_CFG_PERPARICM NOT NULL);



/*-- SEQ 0316 --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD CODCES VARCHAR2(7) ;


/*-- SEQ 0317 --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD CODCES VARCHAR2(7) ;


/*-- SEQ 0318 --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0319 --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_PRO_CES ON TT_PRO (CODCES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0320 --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0321 --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_IVE_CES ON TT_IVE (CODCES) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0322 --*/
-- Tarefa 97883 --
ALTER TABLE TT_ORC MODIFY (PERLUCTOT Number(10,4));


/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;
  


/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;


/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_VEN ADD EMAILC VARCHAR2(254) ;


/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_ORC ADD EMAILC  VARCHAR2(254) ;



/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98182 --
SELECT * FROM NADA;


/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD CODORI Number(1) ;


/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD CODCST VARCHAR2(3) ;



/*-- SEQ 0337 --*/
-- Tarefa 98060 --
ALTER TABLE TD_ECF MODIFY (MAXCAI Number(12,2));

/*-- SEQ 0338 --*/
-- Tarefa 98060 --
ALTER TABLE TW_TAB MODIFY (MAXCAI Number(12,2));


/*-- SEQ 0339 --*/
-- Tarefa 98410 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0340 --*/
-- Tarefa 98410 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DEVOL_INT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DEVOL_INT'));

/*-- SEQ 0341 --*/
-- Tarefa 98410 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_VLRIPI;

/*-- SEQ 0343 --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_VLRIPI CHECK (((COALESCE(VLRIPI, 0) <> 0) AND (COALESCE(IPIITE, 0) <> 0)) OR (COALESCE(VLRIPI, 0) = 0));


/*-- SEQ 0344 --*/ 
-- Tarefa 98302 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0345 --*/
ALTER TABLE TD_ECF ADD FLGCFE CHAR(4) DEFAULT '00.0';

/*-- SEQ 0346 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0347 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;


/*-- SEQ 0348 --*/ 
-- Tarefa 98302 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL in ('47598420000185', '50307776000127', '75192898000146')
              );

/*-- SEQ 0349 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0350 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF MODIFY (FLGCFE CONSTRAINT NN_DECF_FLGCFE NOT NULL);


/*-- SEQ 0351 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FLGCFE CHECK (FLGCFE IN ('00.0', '59.0', '65.0', '65.1'));


/*-- SEQ 0352 --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0354 --*/
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC MODIFY (EXPORT CONSTRAINT NN_REC_EXPORT NOT NULL);


/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_EXPORT CHECK (EXPORT IN ('T','F'));


/*-- SEQ 0357 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EMBQTD;

/*-- SEQ 0358 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EMBQTD CHECK ((EMBQTD IS NULL AND EMBORI IS NULL) OR (EMBQTD IS NOT NULL AND EMBORI IS NOT NULL));


/*-- SEQ 0359 --*/
-- Tarefa 98654 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;


/*-- SEQ 0360 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.0'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('75192898000146')
              )
   AND FLGCFE = '65.1';

/*-- SEQ 0361 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('60065760000109')
              )
   AND FLGCFE = '00.0';

/*-- SEQ 0362 --*/
-- Tarefa 98654 --
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

