
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-130 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- DES-130 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TRANSF_CREDITO_C_IPI', 'Somar valor de IPI no clculo de crdito de ICMS na nota de transferncia', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_CREDITO_C_IPI'));

/*-- SEQ 0004 --*/
-- DES-130 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- DES-141 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- DES-141 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TRANSF_ICMS_0_PROTRI', 'Zerar Base e Valor de ICMS em transferncias de produtos tributados', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_ICMS_0_PROTRI'));

/*-- SEQ 0007 --*/
-- DES-141 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
-- DES-147 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- DES-147 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TRANSF_ALIQ_EST_ICMS', 'Alquota fixa para clculo do estorno de ICMS na transferncia', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_ALIQ_EST_ICMS'));

/*-- SEQ 0010 --*/
-- DES-147 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
-- DES-148 --
ALTER TABLE TT_CFG ADD FILMAT_TRA CHAR(3) ;


/*-- SEQ 0012 --*/
-- DES-148 --
ALTER TABLE TW_CFG ADD FILMAT_TRA CHAR(3) ;


/*-- SEQ 0013 --*/
-- DES-148 --
ALTER TABLE TT_CFG ADD CODMAT_TRA CHAR(5) ;


/*-- SEQ 0014 --*/
-- DES-148 --
ALTER TABLE TW_CFG ADD CODMAT_TRA CHAR(5) ;


/*-- SEQ 0015 --*/
-- DES-148 --
ALTER TABLE TT_CFG ADD CODCOR_TRA Number(5,0) ;


/*-- SEQ 0016 --*/
-- DES-148 --
ALTER TABLE TW_CFG ADD CODCOR_TRA Number(5,0) ;


/*-- SEQ 0017 --*/
-- DES-148 --
ALTER TABLE TT_CFG ADD CODTAM_TRA Number(5,0) ;


/*-- SEQ 0018 --*/
-- DES-148 --
ALTER TABLE TW_CFG ADD CODTAM_TRA Number(5,0) ;


/*-- SEQ 0019 --*/
-- DES-148 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_PRO_TRA FOREIGN KEY (FILMAT_TRA, CODMAT_TRA, CODCOR_TRA, CODTAM_TRA) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0020 --*/
-- DES-148 --
CREATE INDEX I_FK_CFG_GRA_PRO_TRA ON TT_CFG (FILMAT_TRA, CODMAT_TRA, CODCOR_TRA, CODTAM_TRA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0021 --*/
-- DES-132 --
ALTER TABLE TT_IVE ADD VLRICM_CRE Number(12,2) ;



/*-- SEQ 0022 --*/
-- DES-132 --
ALTER TABLE TT_IVE ADD VLRICM_EST Number(12,2) ;



/*-- SEQ 0023 --*/
-- DES-132 --
ALTER TABLE TT_ICO ADD VLRICM_CRE Number(12,2) ;


/*-- SEQ 0024 --*/
-- DES-132 --
ALTER TABLE TT_ICO ADD VLRICM_EST Number(12,2) ;


/*-- SEQ 0025 --*/
-- DES-132 --
ALTER TABLE TT_VEN ADD FILCRE CHAR(3) ;



/*-- SEQ 0026 --*/
-- DES-132 --
ALTER TABLE TT_VEN ADD SEQCRE CHAR(10) ;


/*-- SEQ 0027 --*/
-- DES-132 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_VEN_CRE FOREIGN KEY (FILCRE,SEQCRE) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0028 --*/
-- DES-132 --
CREATE INDEX I_FK_VEN_VEN_CRE ON TT_VEN (FILCRE,SEQCRE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0029 --*/
-- DES-159 --
ALTER TABLE TT_CFG ADD TRANSFER_ICM_NAT Number(5,0) ;


/*-- SEQ 0030 --*/
-- DES-159 --
ALTER TABLE TW_CFG ADD TRANSFER_ICM_NAT Number(5,0) ;


/*-- SEQ 0031 --*/
-- DES-159 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_TRANSFER_ICM FOREIGN KEY (TRANSFER_ICM_NAT) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0032 --*/
-- DES-159 --
CREATE INDEX I_FK_CFG_DNAT_TRANSFER_ICM ON TT_CFG (TRANSFER_ICM_NAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0033 --*/
-- Ticket 2019062056 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 2019062056 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'FRETE_REGIAOPESO_ENT', 'Calcular frete por regio e peso considerando a quantidade de entregas', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FRETE_REGIAOPESO_ENT'));

/*-- SEQ 0035 --*/
-- Ticket 2019062056 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0036 --*/
-- Ticket 2019062065 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0037 --*/
-- Ticket 2019062065 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,432)||'S'||SUBSTR(PERMIS,434,9999);

/*-- SEQ 0038 --*/
-- Ticket 2019062065 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;




/*-- SEQ 0039 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0041 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0042 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Ticket 2019071589 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDPEN_F', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDPEN_F'));

/*-- SEQ 0044 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

